/*********************************************************************
***********************************************************************
**                                                                   **
**  Menucure.h                                                       **
**                                                                   **
**  Historique    Nom            Description                         **
**  ----------    ------------   ----------------------------------  **
**   06-05-88     Eric Le Saux   Version originale                   **
**                Jean Pepin                                         **
**                                                                   **
***********************************************************************
 *********************************************************************/

/*********************************************************************
***********************************************************************
**                                                                   **
**       Club Amiga Montral (CAM)                                   **
**       C.P. 195 STATION "N"                                        **
**       Montral (Qubec)                                           **
**       H2X 3M2, CANADA                                             **
**                                                                   **
**       Je veux tre propag comme un virus !                       **
**                                                                   **
**       DOMAINE PUBLIC - Distribution non-commerciale               **
**       PUBLIC DOMAIN  - Freely redistributable                     **
**                                                                   **
***********************************************************************
 *********************************************************************/

/*** Inclusions externes *********************************************/

#include <stdio.h>
#include <exec/types.h>
#include <exec/memory.h>
#include <libraries/dosextens.h>
#include <intuition/intuition.h>
#include <intuition/intuitionbase.h>
#include <workbench/startup.h>

/*** Dfinitions *****************************************************/

#define IT struct IntuiText

#define SEP   		185	/* >>  << ALT-1 */
#define NOCOM 		173	/* >>  << ALT-N */
#define MAX		10	/* Max caractres pour les noms */
#define COMWIDTH	40	/* Largeur supplmentaire pour les com */

UBYTE * ERRMEM     = (UBYTE *) "Manque de mmoire\n";
UBYTE * ERRNBMENUS = (UBYTE *) "Aucun menus accessibles\n";

struct TableCom
{
	UBYTE  NomEcran[MAX],
	       NomFenetre[MAX],
	       NomMenu[MAX],
	       NomItem[MAX],
	       NomSubItem[MAX];
	UBYTE  Commande;
	BOOL   Modifie;
};

/*** Variables externes ou globales **********************************/

struct IntuitionBase *		IntuitionBase;
extern struct WBStartup *	WBenchMsg;

/*** Macros **********************************************************/

#define PREMIER_ECRAN (IntuitionBase->FirstScreen)

/*** Fonctions externes **********************************************/

extern void *			OpenLibrary ();
extern struct TableCom *	AllocMem ();

/*** Donnes du .info ************************************************/

UBYTE * NOM_DATA      = (UBYTE *) "MenucureListe";
UBYTE * NOM_DATA_INFO = (UBYTE *) "MenucureListe.info";

#define LONGUEUR_INFO 181

UBYTE DataInfo[LONGUEUR_INFO] =
{
	 0xe3, 0x10, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30,
	 0x00, 0x26, 0x00, 0x16, 0x00, 0x0b, 0x00, 0x04, 0x00, 0x03,
	 0x00, 0x01, 0x00, 0x00, 0xc0, 0xb0, 0x00, 0x00, 0x00, 0x00,
	 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x08,
	 0x00, 0x00, 0xbc, 0xd0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	 0x00, 0x6c, 0x00, 0x00, 0x00, 0x1b, 0x00, 0x00, 0x00, 0x00,
	 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	 0x00, 0x00, 0x00, 0x16, 0x00, 0x0a, 0x00, 0x02, 0x00, 0x02,
	 0x61, 0x58, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff,
	 0xfc, 0x00, 0xc0, 0x00, 0x0c, 0x00, 0xc0, 0x78, 0x0c, 0x00,
	 0xc0, 0x78, 0x0c, 0x00, 0xc7, 0xff, 0x8c, 0x00, 0xc7, 0xff,
	 0x8c, 0x00, 0xc0, 0x78, 0x0c, 0x00, 0xc0, 0x78, 0x0c, 0x00,
	 0xc0, 0x00, 0x0c, 0x00, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff,
	 0xfc, 0x00, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 0xfc, 0x00,
	 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff,
	 0xfc, 0x00, 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 0xfc, 0x00,
	 0xff, 0xff, 0xfc, 0x00, 0xff, 0xff, 0xfc, 0x00, 0x00, 0x00,
	 0x00
};
